import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const updateLossesPermissionService = createAsyncThunk(
  "UPDATE_LOSSES_PERMISSION_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put("losses_permission/0/", d);
    dispatch(LOADING_END());
    return { data, status };
  }
);
